import { Reward } from "../../../saasquatch";
import { RewardTableColumn } from "./RewardTableColumn";
/**
 * @uiName Reward Table Date Column
 * @validParents ["sqm-rewards-table"]
 * @exampleGroup Rewards
 * @example Date Column - <sqm-rewards-table-date-column column-title="Date received" date-shown="dateGiven"></sqm-rewards-table-date-column>
 */
export declare class RewardTableDateColumn implements RewardTableColumn {
  /**
   * @uiName Date column title
   */
  columnTitle: string;
  /**
   * @uiName Date displayed
   * @uiType string
   * @uiEnum ["dateGiven",
   * "dateExpires",
   * "dateCancelled",
   * "dateRedeemed",
   * "dateScheduledFor"]
   * @uiEnumNames ["Date Given", "Date Expires", "Date Cancelled", "Date Redeemed", "Date Scheduled For"]
   */
  dateShown: string;
  constructor();
  disconnectedCallback(): void;
  renderCell(data: Reward, options?: {
    locale: string;
  }): Promise<any>;
  renderLabel(): Promise<string>;
  render(): any;
}
